Commit 4045e59e authored by Leif Walsh's avatar Leif Walsh Committed by Yoni Fogel

[t:4871] make it so recover-stress and checkpoint-stress don't run the crash...

[t:4871] make it so recover-stress and checkpoint-stress don't run the crash parts with valgrind, that takes way too long

git-svn-id: file:///svn/toku/tokudb@43562 c7de825b-a66e-492c-adef-691d508d4ae1
parent 2cadb6f5
if(BUILD_TESTING) if(BUILD_TESTING)
set(MEMORYCHECK_COMMAND_OPTIONS "--gen-suppressions=no --num-callers=20 --leak-check=full --show-reachable=yes --trace-children=yes --trace-children-skip=sh,*/sh,basename,*/basename,dirname,*/dirname,rm,*/rm,cp,*/cp,mv,*/mv,cat,*/cat,diff,*/diff,test,*/tokudb_dump* --trace-children-skip-by-arg=--only_create,--test,--no-shutdown" CACHE INTERNAL "options for valgrind") set(MEMORYCHECK_COMMAND_OPTIONS "--gen-suppressions=no --num-callers=20 --leak-check=full --show-reachable=yes --trace-children=yes --trace-children-skip=sh,*/sh,basename,*/basename,dirname,*/dirname,rm,*/rm,cp,*/cp,mv,*/mv,cat,*/cat,diff,*/diff,test,*/tokudb_dump* --trace-children-skip-by-arg=--only_create,--test,--no-shutdown,novalgrind" CACHE INTERNAL "options for valgrind")
set(MEMORYCHECK_SUPPRESSIONS_FILE "${CMAKE_CURRENT_BINARY_DIR}/valgrind.suppressions" CACHE INTERNAL "suppressions file for valgrind") set(MEMORYCHECK_SUPPRESSIONS_FILE "${CMAKE_CURRENT_BINARY_DIR}/valgrind.suppressions" CACHE INTERNAL "suppressions file for valgrind")
endif() endif()
...@@ -607,8 +607,11 @@ if(BUILD_TESTING) ...@@ -607,8 +607,11 @@ if(BUILD_TESTING)
test_txn_abort5a.tdb test_txn_abort5a.tdb
test_txn_abort6.tdb test_txn_abort6.tdb
test_txn_nested2.tdb test_txn_nested2.tdb
test_txn_nested4.tdb
test_txn_nested5.tdb
recovery_fileops_stress.tdb recovery_fileops_stress.tdb
recovery_fileops_unit.tdb recovery_fileops_unit.tdb
hotindexer-with-queries.tdb
) )
if (BDB_FOUND) if (BDB_FOUND)
list(APPEND long_tests list(APPEND long_tests
...@@ -624,9 +627,9 @@ if(BUILD_TESTING) ...@@ -624,9 +627,9 @@ if(BUILD_TESTING)
set_tests_properties(${long_tests} PROPERTIES TIMEOUT 3600) set_tests_properties(${long_tests} PROPERTIES TIMEOUT 3600)
## some take even longer, with valgrind ## some take even longer, with valgrind
set(extra_long_tests set(extra_long_tests
drd_test_4015.tdb
checkpoint_stress.tdb checkpoint_stress.tdb
recover_stress.tdb recover_stress.tdb
drd_test_4015.tdb
test3039.tdb test3039.tdb
loader-dup-test0.tdb loader-dup-test0.tdb
loader-stress-del.p.loader loader-stress-del.p.loader
......
...@@ -285,7 +285,7 @@ test_main (int argc, char * const argv[]) { ...@@ -285,7 +285,7 @@ test_main (int argc, char * const argv[]) {
int c; int c;
int crash = 0; int crash = 0;
while ((c = getopt(argc, (char * const *)argv, "cChi:qvn:l")) != -1) { while ((c = getopt(argc, (char * const *)argv, "cChi:qvn:lX:")) != -1) {
switch(c) { switch(c) {
case 'c': case 'c':
crash = 1; crash = 1;
...@@ -309,6 +309,13 @@ test_main (int argc, char * const argv[]) { ...@@ -309,6 +309,13 @@ test_main (int argc, char * const argv[]) {
verbose--; verbose--;
if (verbose<0) verbose=0; if (verbose<0) verbose=0;
break; break;
case 'X':
if (strcmp(optarg, "novalgrind") == 0) {
// provide a way for the shell script runner to pass an
// arg that suppresses valgrind on this child process
break;
}
// otherwise, fall through to an error
case 'h': case 'h':
case '?': case '?':
usage(argv[0]); usage(argv[0]);
......
...@@ -15,7 +15,7 @@ for (( i = 1; i < $runs; i++ )) ...@@ -15,7 +15,7 @@ for (( i = 1; i < $runs; i++ ))
do do
echo -n "$i: " && date echo -n "$i: " && date
set +e set +e
$bin -c -i $i -n $size 2>dir.checkpoint_stress.c.tdb/error.$i $bin -c -i $i -n $size -X novalgrind 2>dir.checkpoint_stress.c.tdb/error.$i
test $? -eq $abortcode || exit 1 test $? -eq $abortcode || exit 1
set -e set -e
grep -q 'HAPPY CRASH' dir.checkpoint_stress.c.tdb/error.$i grep -q 'HAPPY CRASH' dir.checkpoint_stress.c.tdb/error.$i
......
...@@ -16,7 +16,7 @@ for (( i = 1; i < $runs; i++ )) ...@@ -16,7 +16,7 @@ for (( i = 1; i < $runs; i++ ))
do do
echo -n "$i: " && date echo -n "$i: " && date
set +e set +e
$bin -c -i $i -n $size -l 2>dir.recover_stress.c.tdb/error.$i $bin -c -i $i -n $size -l -X novalgrind 2>dir.recover_stress.c.tdb/error.$i
test $? -eq $abortcode || exit 1 test $? -eq $abortcode || exit 1
set -e set -e
grep -q 'HAPPY CRASH' dir.recover_stress.c.tdb/error.$i grep -q 'HAPPY CRASH' dir.recover_stress.c.tdb/error.$i
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment